#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=birjand1.6_base.ps
projection=-JM16.0c+
region=-R58.3/60.3/31.3/33.1
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map birjand1.6' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    31.806    59.748
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    32.676    59.410
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    32.355    59.021
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    32.283    59.974
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    32.470    58.483
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    32.171    59.958
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    32.144    58.432
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    32.182    59.528
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    32.955    58.875
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    32.591    59.922
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    32.488    59.994
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    31.741    60.184
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    32.141    58.923
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    32.153    58.932
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    32.152    58.936
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    31.447    59.313
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    31.636    60.096
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    31.628    60.141
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    31.815    59.064
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    31.513    59.933
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    31.868    58.549
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    32.482    59.498
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    31.418    59.534
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    32.926    59.629
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    32.561    59.285
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    32.202    59.651
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    32.485    59.489
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    32.639    59.391
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    31.735    60.179
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    31.755    60.157
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    32.603    59.044
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    32.703    58.996
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    32.751    59.369
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    32.151    58.883
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    31.910    60.186
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.809    59.750
    31.806    59.748
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.797    59.796
    31.806    59.748
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.674    59.411
    32.676    59.410
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.733    59.403
    32.676    59.410
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.354    59.023
    32.355    59.021
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.333    59.021
    32.355    59.021
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.284    59.976
    32.283    59.974
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.330    59.991
    32.283    59.974
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.470    58.483
    32.470    58.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.498    58.513
    32.470    58.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.170    59.961
    32.171    59.958
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.193    59.990
    32.171    59.958
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.144    58.434
    32.144    58.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.142    58.519
    32.144    58.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.182    59.530
    32.182    59.528
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.225    59.523
    32.182    59.528
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.956    58.877
    32.955    58.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.941    58.918
    32.955    58.875
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.592    59.927
    32.591    59.922
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.588    59.946
    32.591    59.922
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.490    59.996
    32.488    59.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.555    60.055
    32.488    59.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.742    60.188
    31.741    60.184
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.698    60.211
    31.741    60.184
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.142    58.925
    32.141    58.923
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.118    58.946
    32.141    58.923
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.154    58.934
    32.153    58.932
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.170    58.977
    32.153    58.932
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.153    58.938
    32.152    58.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.161    58.970
    32.152    58.936
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.447    59.314
    31.447    59.313
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.476    59.351
    31.447    59.313
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.636    60.097
    31.636    60.096
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.660    60.159
    31.636    60.096
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.627    60.139
    31.628    60.141
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.659    60.111
    31.628    60.141
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.815    59.066
    31.815    59.064
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.819    59.115
    31.815    59.064
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.515    59.936
    31.513    59.933
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.534    59.940
    31.513    59.933
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.869    58.551
    31.868    58.549
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.911    58.711
    31.868    58.549
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.483    59.499
    32.482    59.498
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.549    59.462
    32.482    59.498
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.420    59.535
    31.418    59.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.439    59.598
    31.418    59.534
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.927    59.629
    32.926    59.629
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.934    59.588
    32.926    59.629
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.562    59.286
    32.561    59.285
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.579    59.310
    32.561    59.285
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.202    59.653
    32.202    59.651
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.196    59.680
    32.202    59.651
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.486    59.490
    32.485    59.489
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.481    59.487
    32.485    59.489
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.640    59.392
    32.639    59.391
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.657    59.383
    32.639    59.391
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.736    60.181
    31.735    60.179
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.775    60.275
    31.735    60.179
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.754    60.160
    31.755    60.157
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.743    60.163
    31.755    60.157
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.604    59.047
    32.603    59.044
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.614    59.074
    32.603    59.044
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.704    58.997
    32.703    58.996
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.628    59.029
    32.703    58.996
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.752    59.370
    32.751    59.369
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.759    59.353
    32.751    59.369
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.151    58.885
    32.151    58.883
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.167    58.893
    32.151    58.883
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.911    60.188
    31.910    60.186
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.945    60.209
    31.910    60.186
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    31.806    59.748    44.067     2.569     3.637
    32.676    59.410    34.081     1.925     3.558
    32.355    59.021    32.429     1.499     2.585
    32.283    59.974    55.421     1.955     2.892
    32.470    58.483   -25.383     0.483     3.432
    32.171    59.958    34.402     1.326     1.643
    32.144    58.432    35.731     1.338     1.985
    32.182    59.528   -23.553     2.198     2.473
    32.955    58.875    59.083     1.265     1.544
    32.591    59.922    19.825     2.325     5.226
    32.488    59.994    45.891     2.346     3.294
    31.741    60.184    14.964     2.703     4.177
    32.141    58.923    73.546     1.448     1.538
    32.153    58.932    32.917     1.848     2.205
    32.152    58.936    -6.337     2.005     2.717
    31.447    59.313   -73.361     2.081     3.984
    31.636    60.096    -5.714     3.755     5.769
    31.628    60.141     5.783     1.901     4.673
    31.815    59.064   -58.430     1.545     2.194
    31.513    59.933   -28.401     1.793     2.319
    31.868    58.549   -72.998     2.171     2.786
    32.482    59.498     6.913     1.810     3.362
    31.418    59.534   -85.773     2.062     4.086
    32.926    59.629   -20.300     1.662     2.543
    32.561    59.285    18.197     1.944     3.020
    32.202    59.651   -26.555     1.681     3.113
    32.485    59.489    28.755     2.824     4.551
    32.639    59.391    26.296     2.492     3.384
    31.735    60.179    45.808     1.911     2.701
    31.755    60.157    13.530     1.372     1.773
    32.603    59.044     5.356     2.060     3.277
    32.703    58.996    17.873     1.178     1.616
    32.751    59.369    -4.352     1.566     1.753
    32.151    58.883    47.986     1.657     2.054
    31.910    60.186    11.183     2.560     3.360
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    31.372    58.395   -23.523     1.191     1.676
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    31.372    58.417   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    31.372    58.395     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    31.372    58.395     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    31.327    58.395   5 km
END
