#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=birjand1.6_dcal.ps
projection=-JM16.0c+
region=-R56.2/62.4/29.5/34.9
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration birjand1.6' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.806    59.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.676    59.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.355    59.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.283    59.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.470    58.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.470    58.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.470    58.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.171    59.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.144    58.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.144    58.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.182    59.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.182    59.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.182    59.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.182    59.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.182    59.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.955    58.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.955    58.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.955    58.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.955    58.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.955    58.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.591    59.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.488    59.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.741    60.184
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.741    60.184
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.741    60.184
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.141    58.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.153    58.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.152    58.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.447    59.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.447    59.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.447    59.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.447    59.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.636    60.096
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.636    60.096
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.636    60.096
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.628    60.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    31.815    59.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.513    59.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.868    58.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.482    59.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.418    59.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.418    59.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.418    59.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.418    59.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.926    59.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.561    59.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.202    59.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.485    59.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.639    59.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.735    60.179
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.735    60.179
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.735    60.179
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.735    60.179
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.782    59.205
    31.735    60.179
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.782    59.205
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.782    59.205
    31.755    60.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.603    59.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.646    60.291
    32.703    58.996
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    32.751    59.369
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    32.151    58.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    32.151    58.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    58.749
    32.151    58.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    32.151    58.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.425    59.015
    32.151    58.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.393    60.050
    31.910    60.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.739    59.868
    31.910    60.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.965    59.126
    31.910    60.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.424    59.004
    31.910    60.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.782    59.205
    31.910    60.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.192    59.667
    31.910    60.186
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    32.739    59.868     0.300
    32.424    59.004     0.300
    33.192    59.667     0.300
    32.896    58.749     0.300
    33.646    60.291     0.300
    31.965    59.126     0.300
    33.425    59.015     0.300
    31.393    60.050     0.300
    32.782    59.205     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.806    59.748     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.676    59.410     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.355    59.021     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.283    59.974     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.470    58.483     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.171    59.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.144    58.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.182    59.528     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.955    58.875     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.591    59.922     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.488    59.994     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.741    60.184     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.141    58.923     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.153    58.932     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.152    58.936     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.447    59.313     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.636    60.096     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.628    60.141     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.815    59.064     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.513    59.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.868    58.549     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.482    59.498     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.418    59.534     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.926    59.629     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.561    59.285     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.202    59.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.485    59.489     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.639    59.391     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.735    60.179     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.755    60.157     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.603    59.044     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.703    58.996     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.751    59.369     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.151    58.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.910    60.186     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    32.187    59.449     0.000   222.000   222.000
    32.187    59.449     0.000   444.000   444.000
END
